\documentclass{standalone}

\usepackage[frenchb]{babel}
\usepackage[upright]{kpfonts}
\usepackage{tikz}

\usepackage{fp}
\usepgflibrary{fixedpointarithmetic}

\usepackage[np]{numprint}

\makeatletter

\pgfmathdeclarefunction{erf}{1}{%
  \begingroup
  \pgfkeys{/pgf/fixed point arithmetic}
  \pgfmathifthenelse{#1 > 0}{1}{-1}
  \edef\sign{\pgfmathresult}%
  \pgfmathparse{abs(#1)}
  \edef\x{\pgfmathresult}%
  \pgfmathparse{1/(1+0.3275911*\x)}
  \edef\t{\pgfmathresult}%
  \pgfmathparse{%
  1 - (((((1.061405429*\t -1.453152027)*\t) + 1.421413741)*\t
  -0.284496736)*\t + 0.254829592)*\t*exp(-(\x*\x))}
  \edef\y{\pgfmathresult}%
  \pgfmathparse{(\sign)*\y}
  \pgfmath@smuggleone\pgfmathresult%
  \endgroup
}
\pgfmathdeclarefunction{normcr}{1}{%
  \begingroup
  \pgfkeys{/pgf/fixed point arithmetic}
  \pgfmathparse{(erf(#1/sqrt(2))+1)/2}
  \pgfmath@smuggleone\pgfmathresult%
  \endgroup
}

\makeatother

\usetikzlibrary{shapes}

\begin{document}

\begin{tikzpicture}[xscale=2.7,yscale=4.3]

  \draw ({1.5*ln(10)},{0.2+ln(-ln(1-0.99))}) node
  [anchor=text,above] { \large Papier Weibull } ;


  %ln(-ln(1-0.01)}) = ln(-ln(1-0.01))
  %ln(-ln(1-0.99)}) =  ln(-ln(1-0.99))
  %ln(1.9) = ln(1.9)
  %ln(1.3) = ln(1.3)
  %ln(1.1) = ln(1.1)

  % dessin de l'axe des x en ln
  \foreach \r in {0,1,2} {
    \pgfmathparse{\r*ln(10)}
    \edef\r{\pgfmathresult}
    \foreach \x in {1,...,9}{
      \draw ({ln(\x)+\r},{ln(-ln(1-0.01))}) node [below] {\x} --
      ({ln(\x)+\r},{ln(-ln(1-0.99))}) ;
    }
    \foreach \x in {11,...,39}{
      \draw[gray,very thin] (({ln(\x/10)+\r},{ln(-ln(1-0.01))}) --
      ({ln(\x/10)+\r},{ln(-ln(1-0.99))}) ;
    }
    \foreach \x in {42,44,46,48,52,54,56,58,62,64,66,68,72,74,76,78}{
      \draw[gray,very thin] (({ln(\x/10)+\r},{ln(-ln(1-0.01))}) --
      ({ln(\x/10)+\r},{ln(-ln(1-0.99))}) ;
    }
    \foreach \x in {85,95}{
      \draw[gray,very thin] (({ln(\x/10)+\r},{ln(-ln(1-0.01))}) --
      ({ln(\x/10)+\r},{ln(-ln(1-0.99))}) ;
    }
  }
  \pgfmathparse{3*ln(10)}
  \edef\l{\pgfmathresult}
  \draw (\l,{ln(-ln(1-0.01))}) node [below] {1} --
  (\l,{ln(-ln(1-0.99))}) ;

  % dessin de l'axe des y en ln(-ln(1-F))
  \foreach \y in {1,...,9}{
    \draw (0,{ln(-ln(1-\y/100))}) node [left] {
      \pgfmathparse{\y/100} \FPround{\result}{\pgfmathresult}{2}
      \np{\result} } -- (\l,{ln(-ln(1-\y/100))}) ;
  }
  \foreach \y in {1,...,9}{
    \draw (0,{ln(-ln(1-\y/10))}) node [left] {
      \pgfmathparse{\y/10} \FPround{\result}{\pgfmathresult}{1}
      \np{\result} } -- (\l,{ln(-ln(1-\y/10))}) ;
  }
  \foreach \y in {11,...,29}{
    \draw[gray,very thin] (0,{ln(-ln(1-\y/1000))}) --
    (\l,{ln(-ln(1-\y/1000))}) ;
  }
  \foreach \y in {32,34,36,38,42,44,46,48,52,54,56,58}{
    \draw[gray,very thin] (0,{ln(-ln(1-\y/1000))}) --
    (\l,{ln(-ln(1-\y/1000))}) ;
  }
  \foreach \y in {65,75,85,95}{
    \draw[gray,very thin] (0,{ln(-ln(1-\y/1000))}) --
    (\l,{ln(-ln(1-\y/1000))}) ;
  }
  \foreach \y in {11,...,39}{
    \draw[gray,very thin] (0,{ln(-ln(1-\y/100))}) --
    (\l,{ln(-ln(1-\y/100))}) ;
  }
  \foreach \y in {42,44,46,48,52,54,56,58,62,64,66,68,72,74,76,78}{
    \draw[gray,very thin] (0,{ln(-ln(1-\y/100))}) --
    (\l,{ln(-ln(1-\y/100))}) ;
  }
  \foreach \y in {81,...,98}{
    \draw[gray,very thin] (0,{ln(-ln(1-\y/100))}) --
    (\l,{ln(-ln(1-\y/100))}) ;
  }
  \edef\y{99}
  \draw (0,{ln(-ln(1-\y/100))}) node [left] {
    \pgfmathparse{\y/100} \FPround{\result}{\pgfmathresult}{2}
    \np{\result} } -- (\l,{ln(-ln(1-\y/100))}) ;

  % dessin du paramètre $\eta$
  \draw[gray,thin,dashed] (0,{ln(-ln(1-.632))}) node[left]
  {\np{0.632}} -- (\l,{ln(-ln(1-.632))}) node  [right] { $\eta$} ;

  % dessin du paramètre $\beta$
  \draw[blue,fill=white] ({ln(1.1)},{ln(-ln(1-0.99))}) rectangle
  ({ln(1.3)},{ln(-ln(1-0.12))}) ;
  \pgfmathparse{(ln(-ln(1-0.99))-ln(-ln(1-0.12)))/10}
  \edef\inc{\pgfmathresult}
  \pgfmathparse{\inc/10}
  \edef\iinc{\pgfmathresult}
  \draw[blue] ({ln(1.1)},{ln(-ln(1-0.12))}) node
  [fill=white,circle,inner sep=0pt] { \small 10 } ;
  \foreach \yy in {1,...,9}{
    \draw[blue]
    ({ln(1.3)-0.05},{ln(-ln(1-0.99))-\inc*\yy}) node [left]
      {\small \yy} --
      ({ln(1.3)},{ln(-ln(1-0.99))-\inc*\yy}) ;
    \foreach \yyy in {1,...,9}{
      \draw[blue,thin]
      ({ln(1.3)-0.025},{ln(-ln(1-0.99))-\inc*\yy-\iinc*\yyy}) --
        ({ln(1.3)},{ln(-ln(1-0.99))-\inc*\yy-\iinc*\yyy}) ;
    }
  }
  \edef\yy{0}
  \foreach \yyy in {1,...,9}{
    \draw[blue,thin]
    ({ln(1.3)-0.025},{ln(-ln(1-0.99))-\inc*\yy-\iinc*\yyy}) --
      ({ln(1.3)},{ln(-ln(1-0.99))-\inc*\yy-\iinc*\yyy}) ;
  }
  \draw (0.075,{ln(-ln(1-0.99))}) node [blue,above] {$\beta$} ;
  \draw[blue,thick] ({ln(1.3)},{ln(-ln(1-0.99))}) --
  ({ln(1.9)},{ln(-ln(1-0.99))}) ;
  \draw[blue,thick] ({ln(1.9)},{ln(-ln(1-0.99))+0.05}) --
  ({ln(1.9)},{ln(-ln(1-0.99))-0.05}) ;

\end{tikzpicture}
\end{document}
